Index: svn/src/southbridge/via/vt8235/vt8235_ide.c
===================================================================
--- svn.orig/src/southbridge/via/vt8235/vt8235_ide.c
+++ svn/src/southbridge/via/vt8235/vt8235_ide.c
@@ -10,7 +10,7 @@ static void ide_init(struct device *dev)
 	struct southbridge_via_vt8235_config *conf = dev->chip_info;
 	unsigned char enables;
 
-	printk(BIOS_INFO, "Enabling VIA IDE.\n");
+	printk(INFO, "Enabling VIA IDE.\n");
 
 	/*if (!conf->enable_native_ide) { */
 		/*
@@ -18,23 +18,23 @@ static void ide_init(struct device *dev)
 		 * use PCI interrupts.  Using PCI ints confuses linux for some
 		 * reason.
 		 */
-		printk(BIOS_INFO, "%s: enabling compatibility IDE addresses\n",
+		printk(INFO, "%s: enabling compatibility IDE addresses\n",
 				__func__);
 		enables = pci_read_config8(dev, 0x42);
-		printk(BIOS_DEBUG, "enables in reg 0x42 0x%x\n", enables);
+		printk(DEBUG, "enables in reg 0x42 0x%x\n", enables);
 		enables &= ~0xc0;		// compatability mode
 		pci_write_config8(dev, 0x42, enables);
 		enables = pci_read_config8(dev, 0x42);
-		printk(BIOS_DEBUG, "enables in reg 0x42 read back as 0x%x\n",
+		printk(DEBUG, "enables in reg 0x42 read back as 0x%x\n",
 				enables);
 	/* } */
 	
 	enables = pci_read_config8(dev, 0x40);
-	printk(BIOS_DEBUG, "enables in reg 0x40 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x40 0x%x\n", enables);
 	enables |= 3;
 	pci_write_config8(dev, 0x40, enables);
 	enables = pci_read_config8(dev, 0x40);
-	printk(BIOS_DEBUG, "enables in reg 0x40 read back as 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x40 read back as 0x%x\n", enables);
 	
 	// Enable prefetch buffers
 	enables = pci_read_config8(dev, 0x41);
@@ -58,7 +58,7 @@ static void ide_init(struct device *dev)
 	// kevinh@ispiri.com - the standard linux drivers seem ass slow when 
 	// used in native mode - I've changed back to classic
 	enables = pci_read_config8(dev, 0x9);
-	printk(BIOS_DEBUG, "enables in reg 0x9 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x9 0x%x\n", enables);
 	// by the book, set the low-order nibble to 0xa. 
 	if (conf->enable_native_ide) {
 		enables &= ~0xf;
@@ -70,11 +70,11 @@ static void ide_init(struct device *dev)
 	
 	pci_write_config8(dev, 0x9, enables);
 	enables = pci_read_config8(dev, 0x9);
-	printk(BIOS_DEBUG, "enables in reg 0x9 read back as 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x9 read back as 0x%x\n", enables);
 	
 	// standard bios sets master bit. 
 	enables = pci_read_config8(dev, 0x4);
-	printk(BIOS_DEBUG, "command in reg 0x4 0x%x\n", enables);
+	printk(DEBUG, "command in reg 0x4 0x%x\n", enables);
 	enables |= 7;
 	
 	// No need for stepping - kevinh@ispiri.com
@@ -82,7 +82,7 @@ static void ide_init(struct device *dev)
 	
 	pci_write_config8(dev, 0x4, enables);
 	enables = pci_read_config8(dev, 0x4);
-	printk(BIOS_DEBUG, "command in reg 0x4 reads back as 0x%x\n", enables);
+	printk(DEBUG, "command in reg 0x4 reads back as 0x%x\n", enables);
 	
 	if (!conf->enable_native_ide) {
 		// Use compatability mode - per award bios
Index: svn/src/southbridge/via/vt8235/vt8235_lpc.c
===================================================================
--- svn.orig/src/southbridge/via/vt8235/vt8235_lpc.c
+++ svn/src/southbridge/via/vt8235/vt8235_lpc.c
@@ -56,7 +56,7 @@ static unsigned char *pin_to_irq(const u
 
 static void pci_routing_fixup(struct device *dev)
 {
-	printk(BIOS_INFO, "%s: dev is %p\n", __func__, dev);
+	printk(INFO, "%s: dev is %p\n", __func__, dev);
 
 	/* set up PCI IRQ routing */
 	pci_write_config8(dev, 0x55, pciIrqs[0] << 4);
@@ -65,38 +65,38 @@ static void pci_routing_fixup(struct dev
 
 
 	// firewire built into southbridge
-	printk(BIOS_INFO, "setting firewire\n");
+	printk(INFO, "setting firewire\n");
 	pci_assign_irqs(0, 0x0d, pin_to_irq(firewirePins));
 
 	// Standard usb components
-	printk(BIOS_INFO, "setting usb\n");
+	printk(INFO, "setting usb\n");
 	pci_assign_irqs(0, 0x10, pin_to_irq(usbPins));
 
 	// VT8235 + sound hardware
-	printk(BIOS_INFO, "setting vt8235\n");
+	printk(INFO, "setting vt8235\n");
 	pci_assign_irqs(0, 0x11, pin_to_irq(vt8235Pins));
 
 	// Ethernet built into southbridge
-	printk(BIOS_INFO, "setting ethernet\n");
+	printk(INFO, "setting ethernet\n");
 	pci_assign_irqs(0, 0x12, pin_to_irq(enetPins));
 
 	// VGA
-	printk(BIOS_INFO, "setting vga\n");
+	printk(INFO, "setting vga\n");
 	pci_assign_irqs(1, 0x00, pin_to_irq(vgaPins));
 
 	// PCI slot
-	printk(BIOS_INFO, "setting pci slot\n");
+	printk(INFO, "setting pci slot\n");
 	pci_assign_irqs(0, 0x14, pin_to_irq(slotPins));
 
 	// Cardbus slot 
-	printk(BIOS_INFO, "setting cardbus slot\n");
+	printk(INFO, "setting cardbus slot\n");
 	pci_assign_irqs(0, 0x0a, pin_to_irq(cbPins));
 
 	// Via 2 slot riser card 2nd slot
-	printk(BIOS_INFO, "setting riser slot\n");
+	printk(INFO, "setting riser slot\n");
 	pci_assign_irqs(0, 0x13, pin_to_irq(riserPins));
 
-	printk(BIOS_SPEW, "%s: DONE\n", __func__);
+	printk(SPEW, "%s: DONE\n", __func__);
 }
 
 /* 
@@ -154,7 +154,7 @@ static void vt8235_init(struct device *d
 {
 	unsigned char enables;
 	
-	printk(BIOS_DEBUG, "vt8235 init\n");
+	printk(DEBUG, "vt8235 init\n");
 
 	// enable the internal I/O decode
 	enables = pci_read_config8(dev, 0x6C);
Index: svn/src/southbridge/via/vt8235/vt8235_nic.c
===================================================================
--- svn.orig/src/southbridge/via/vt8235/vt8235_nic.c
+++ svn/src/southbridge/via/vt8235/vt8235_nic.c
@@ -12,7 +12,7 @@ static void nic_init(struct device *dev)
 {
 	uint8_t	byte;
 
-	printk(BIOS_DEBUG, "Configuring VIA Rhine LAN\n");
+	printk(DEBUG, "Configuring VIA Rhine LAN\n");
 
 	/* We don't need stepping - though the device supports it */
 	byte = pci_read_config8(dev, PCI_COMMAND);
Index: svn/src/southbridge/via/vt8235/vt8235_usb.c
===================================================================
--- svn.orig/src/southbridge/via/vt8235/vt8235_usb.c
+++ svn/src/southbridge/via/vt8235/vt8235_usb.c
@@ -9,7 +9,7 @@
 
 static void usb_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Configuring VIA USB 1.1\n");
+	printk(DEBUG, "Configuring VIA USB 1.1\n");
 
 	/* pci_write_config8(dev, 0x04, 0x07); */
 
Index: svn/src/southbridge/via/vt8237r/vt8237r.c
===================================================================
--- svn.orig/src/southbridge/via/vt8237r/vt8237r.c
+++ svn/src/southbridge/via/vt8237r/vt8237r.c
@@ -30,7 +30,7 @@
 
 void hard_reset(void)
 {
-	printk(BIOS_ERR, "NO HARD RESET ON VT8237R! FIX ME!\n");
+	printk(ERROR, "NO HARD RESET ON VT8237R! FIX ME!\n");
 }
 
 #if CONFIG_DEFAULT_CONSOLE_LOGLEVEL > 7
@@ -61,10 +61,10 @@ void dump_south(device_t dev)
 	int i, j;
 
 	for (i = 0; i < 256; i += 16) {
-		printk(BIOS_DEBUG, "%02x: ", i);
+		printk(DEBUG, "%02x: ", i);
 		for (j = 0; j < 16; j++)
-			printk(BIOS_DEBUG, "%02x ", pci_read_config8(dev, i + j));
-		printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "%02x ", pci_read_config8(dev, i + j));
+		printk(DEBUG, "\n");
 	}
 }
 
Index: svn/src/southbridge/via/vt8237r/vt8237r_ide.c
===================================================================
--- svn.orig/src/southbridge/via/vt8237r/vt8237r_ide.c
+++ svn/src/southbridge/via/vt8237r/vt8237r_ide.c
@@ -40,15 +40,15 @@ static void ide_init(struct device *dev)
 	device_t lpc_dev;
 	int i, j;
 
-	printk(BIOS_INFO, "%s IDE interface %s\n", "Primary",
+	printk(INFO, "%s IDE interface %s\n", "Primary",
 		    sb->ide0_enable ? "enabled" : "disabled");
-	printk(BIOS_INFO, "%s IDE interface %s\n", "Secondary",
+	printk(INFO, "%s IDE interface %s\n", "Secondary",
 		    sb->ide1_enable ? "enabled" : "disabled");
 	enables = pci_read_config8(dev, IDE_CS) & ~0x3;
 	enables |= (sb->ide0_enable << 1) | sb->ide1_enable;
 	pci_write_config8(dev, IDE_CS, enables);
 	enables = pci_read_config8(dev, IDE_CS);
-	printk(BIOS_DEBUG, "Enables in reg 0x40 read back as 0x%x\n", enables);
+	printk(DEBUG, "Enables in reg 0x40 read back as 0x%x\n", enables);
 
 	/* Enable only compatibility mode. */
 	enables = pci_read_config8(dev, 0x09);
@@ -59,7 +59,7 @@ static void ide_init(struct device *dev)
 	enables &= ~0xc0;
 	pci_write_config8(dev, IDE_CONF_II, enables);
 	enables = pci_read_config8(dev, IDE_CONF_II);
-	printk(BIOS_DEBUG, "Enables in reg 0x42 read back as 0x%x\n", enables);
+	printk(DEBUG, "Enables in reg 0x42 read back as 0x%x\n", enables);
 
 	/* Enable prefetch buffers. */
 	enables = pci_read_config8(dev, IDE_CONF_I);
Index: svn/src/southbridge/via/vt8237r/vt8237r_lpc.c
===================================================================
--- svn.orig/src/southbridge/via/vt8237r/vt8237r_lpc.c
+++ svn/src/southbridge/via/vt8237r/vt8237r_lpc.c
@@ -238,7 +238,7 @@ static void setup_pm(device_t dev)
 	tmp = inw(VT8237R_ACPI_IO_BASE + 0x04);
 #if CONFIG_HAVE_ACPI_RESUME == 1
 	acpi_slp_type = ((tmp & (7 << 10)) >> 10) == 1 ? 3 : 0 ;
-	printk(BIOS_DEBUG, "SLP_TYP type was %x %x\n", tmp, acpi_slp_type);
+	printk(DEBUG, "SLP_TYP type was %x %x\n", tmp, acpi_slp_type);
 #endif
 	/* clear sleep */
 	tmp &= ~(7 << 10);
@@ -251,7 +251,7 @@ static void vt8237r_init(struct device *
 	u8 enables, reg8;
 	
 #if CONFIG_EPIA_VT8237R_INIT
-	printk(BIOS_SPEW, "Entering vt8237r_init, for EPIA.\n");
+	printk(SPEW, "Entering vt8237r_init, for EPIA.\n");
 	/*
 	 * TODO: Looks like stock BIOS can do this but causes a hang
 	 * Enable SATA LED, disable special CPU Frequency Change -
@@ -277,7 +277,7 @@ static void vt8237r_init(struct device *
 	pci_write_config8(dev, 0x4E, enables);
 
 #else 
-	printk(BIOS_SPEW, "Entering vt8237r_init.\n");
+	printk(SPEW, "Entering vt8237r_init.\n");
 	/*
 	 * Enable SATA LED, disable special CPU Frequency Change -
 	 * GPIO28 GPIO22 GPIO29 GPIO23 are GPIOs.
@@ -318,7 +318,7 @@ static void vt8237r_init(struct device *
 	outb(0x1, VT8237R_ACPI_IO_BASE + 0x11);
 #endif
 
-	printk(BIOS_SPEW, "Leaving %s.\n", __func__);
+	printk(SPEW, "Leaving %s.\n", __func__);
 }
 
 static void vt8237s_init(struct device *dev)
Index: svn/src/southbridge/via/vt8237r/vt8237r_sata.c
===================================================================
--- svn.orig/src/southbridge/via/vt8237r/vt8237r_sata.c
+++ svn/src/southbridge/via/vt8237r/vt8237r_sata.c
@@ -28,7 +28,7 @@ static void sata_i_init(struct device *d
 {
 	u8 reg;
 
-	printk(BIOS_DEBUG, "Configuring VIA SATA controller\n");
+	printk(DEBUG, "Configuring VIA SATA controller\n");
 
 	/* Class IDE Disk */
 	reg = pci_read_config8(dev, SATA_MISC_CTRL);
Index: svn/src/southbridge/via/vt8237r/vt8237r_usb.c
===================================================================
--- svn.orig/src/southbridge/via/vt8237r/vt8237r_usb.c
+++ svn/src/southbridge/via/vt8237r/vt8237r_usb.c
@@ -34,16 +34,16 @@ static void usb_i_init(struct device *de
 #if CONFIG_EPIA_VT8237R_INIT
 	u8 reg8;
 
-	printk(BIOS_DEBUG, "Entering %s\n", __func__);
+	printk(DEBUG, "Entering %s\n", __func__);
 
-	printk(BIOS_SPEW, "%s Read %02X from PCI Command Reg\n", dev_path(dev), reg8);
+	printk(SPEW, "%s Read %02X from PCI Command Reg\n", dev_path(dev), reg8);
 
 	reg8 = pci_read_config8(dev, 0x04);
 
 	reg8 = reg8 | PCI_COMMAND_MASTER | PCI_COMMAND_MEMORY;
 	pci_write_config8(dev, 0x04, reg8);
 
-	printk(BIOS_SPEW, "%s Wrote %02X to PCI Command Reg\n", dev_path(dev), reg8);
+	printk(SPEW, "%s Wrote %02X to PCI Command Reg\n", dev_path(dev), reg8);
 
 	/* Set Cache Line Size and Latency Timer */
 	pci_write_config8(dev, 0x0c, 0x08);
@@ -74,7 +74,7 @@ static void vt8237_usb_i_read_resources(
 	struct resource *res;
 	u8 function = (u8) dev->path.pci.devfn & 0x7;
 
-	printk(BIOS_SPEW, "VT8237R Fixing USB 1.1 fn %d I/O resource = 0x%04X\n", function, usb_io_addr[function]);
+	printk(SPEW, "VT8237R Fixing USB 1.1 fn %d I/O resource = 0x%04X\n", function, usb_io_addr[function]);
 
 	/* Fix the I/O Resources of the USB1.1 Interfaces */
 	/* Auto PCI probe seems to size the resources     */
@@ -98,7 +98,7 @@ static void usb_ii_init(struct device *d
 #if CONFIG_EPIA_VT8237R_INIT
 	u8 reg8;
 
-	printk(BIOS_DEBUG, "Entering %s\n", __func__);
+	printk(DEBUG, "Entering %s\n", __func__);
 
 	/* Set memory Write and Invalidate */
 	reg8 = pci_read_config8(dev, 0x04);
Index: svn/src/superio/ite/it8716f/superio.c
===================================================================
--- svn.orig/src/superio/ite/it8716f/superio.c
+++ svn/src/superio/ite/it8716f/superio.c
@@ -72,13 +72,13 @@ static void init_ec(uint16_t base)
 
 	/* Read out current value of FAN_CTL control register (0x14). */
 	value = pnp_read_index(base, 0x14);
-	printk(BIOS_DEBUG, "FAN_CTL: reg = 0x%04x, read value = 0x%02x\n",
+	printk(DEBUG, "FAN_CTL: reg = 0x%04x, read value = 0x%02x\n",
 		     base + 0x14, value);
 
 	/* Set FAN_CTL control register (0x14) polarity to high, and
 	   activate fans 1, 2 and 3. */
 	pnp_write_index(base, 0x14, value | 0x87);
-	printk(BIOS_DEBUG, "FAN_CTL: reg = 0x%04x, writing value = 0x%02x\n",
+	printk(DEBUG, "FAN_CTL: reg = 0x%04x, writing value = 0x%02x\n",
 		     base + 0x14, value | 0x87);
 }
 #endif
Index: svn/src/superio/renesas/m3885x/superio.c
===================================================================
--- svn.orig/src/superio/renesas/m3885x/superio.c
+++ svn/src/superio/renesas/m3885x/superio.c
@@ -38,7 +38,7 @@ static void m3885x_init(device_t dev)
 	if (!dev->enabled)
 		return;
 
-	printk(BIOS_DEBUG, "Renesas M3885x: Initializing keyboard.\n");
+	printk(DEBUG, "Renesas M3885x: Initializing keyboard.\n");
 	set_kbc_ps2_mode();
 	pc_keyboard_init(&conf->keyboard);
 	m3885_configure_multikey();
Index: svn/src/superio/smsc/lpc47b397/superio.c
===================================================================
--- svn.orig/src/superio/smsc/lpc47b397/superio.c
+++ svn/src/superio/smsc/lpc47b397/superio.c
@@ -106,7 +106,7 @@ static void lpc47b397_pnp_enable_resourc
 
 	switch(dev->path.pnp.device) {
 	case LPC47B397_HWM:
-		printk(BIOS_DEBUG, "lpc47b397 SensorBus Register Access enabled\n");
+		printk(DEBUG, "lpc47b397 SensorBus Register Access enabled\n");
 		pnp_set_logical_device(dev);
 		enable_hwm_smbus(dev);
 		break;
Index: svn/src/superio/smsc/lpc47n217/superio.c
===================================================================
--- svn.orig/src/superio/smsc/lpc47n217/superio.c
+++ svn/src/superio/smsc/lpc47n217/superio.c
@@ -180,7 +180,7 @@ static void lpc47n217_init(device_t dev)
 static void lpc47n217_pnp_set_resource(device_t dev, struct resource *resource)
 {
 	if (!(resource->flags & IORESOURCE_ASSIGNED)) {
-		printk(BIOS_ERR, "ERROR: %s %02x not allocated\n",
+		printk(ERROR, "ERROR: %s %02x not allocated\n",
 			dev_path(dev), resource->index);
 		return;
 	}
@@ -200,7 +200,7 @@ static void lpc47n217_pnp_set_resource(d
 		lpc47n217_pnp_set_irq(dev, resource->base);
 	}
 	else {
-		printk(BIOS_ERR, "ERROR: %s %02x unknown resource type\n",
+		printk(ERROR, "ERROR: %s %02x unknown resource type\n",
 			dev_path(dev), resource->index);
 		return;
 	}
Index: svn/src/superio/smsc/lpc47n227/superio.c
===================================================================
--- svn.orig/src/superio/smsc/lpc47n227/superio.c
+++ svn/src/superio/smsc/lpc47n227/superio.c
@@ -163,7 +163,7 @@ static void lpc47n227_init(device_t dev)
 		break;
 
 	case LPC47N227_KBDC:
-		printk(BIOS_DEBUG, "LPC47N227: Initializing keyboard.\n");
+		printk(DEBUG, "LPC47N227: Initializing keyboard.\n");
 		pc_keyboard_init(&conf->keyboard);
 		break;
 	}
@@ -176,7 +176,7 @@ static void lpc47n227_init(device_t dev)
 static void lpc47n227_pnp_set_resource(device_t dev, struct resource *resource)
 {
 	if (!(resource->flags & IORESOURCE_ASSIGNED)) {
-		printk(BIOS_ERR, "ERROR: %s %02lx not allocated\n",
+		printk(ERROR, "ERROR: %s %02lx not allocated\n",
 			   dev_path(dev), resource->index);
 		return;
 	}
@@ -192,7 +192,7 @@ static void lpc47n227_pnp_set_resource(d
 	} else if (resource->flags & IORESOURCE_IRQ) {
 		lpc47n227_pnp_set_irq(dev, resource->base);
 	} else {
-		printk(BIOS_ERR, "ERROR: %s %02lx unknown resource type\n",
+		printk(ERROR, "ERROR: %s %02lx unknown resource type\n",
 			   dev_path(dev), resource->index);
 		return;
 	}
Index: svn/src/superio/smsc/smscsuperio/superio.c
===================================================================
--- svn.orig/src/superio/smsc/smscsuperio/superio.c
+++ svn/src/superio/smsc/smscsuperio/superio.c
@@ -304,7 +304,7 @@ static void enable_dev(device_t dev)
 
 		/* TODO: Error handling? */
 
-		printk(BIOS_INFO, "Found SMSC Super I/O (ID=0x%02x, rev=0x%02x)\n",
+		printk(INFO, "Found SMSC Super I/O (ID=0x%02x, rev=0x%02x)\n",
 			    superio_id, superio_rev);
 		first_time = 0;
 
Index: svn/src/superio/via/vt1211/vt1211.c
===================================================================
--- svn.orig/src/superio/via/vt1211/vt1211.c
+++ svn/src/superio/via/vt1211/vt1211.c
@@ -113,13 +113,13 @@ static void vt1211_init(struct device *d
 		init_hwm(res0->base);
 		break;
 	default:
-		printk(BIOS_INFO, "vt1211 asked to initialise unknown device!\n");
+		printk(INFO, "vt1211 asked to initialise unknown device!\n");
 	}
 }
 
 void vt1211_pnp_enable_resources(device_t dev)
 {
-	printk(BIOS_DEBUG, "%s - enabling\n",dev_path(dev));
+	printk(DEBUG, "%s - enabling\n",dev_path(dev));
 	pnp_enter_ext_func_mode(dev);
 	pnp_enable_resources(dev);
 	pnp_exit_ext_func_mode(dev);
@@ -148,7 +148,7 @@ void vt1211_pnp_set_resources(struct dev
 	for(i = 0; i < dev->resources; i++) {
 		resource = &dev->resource[i];
 		if (!(resource->flags & IORESOURCE_ASSIGNED)) {
-			printk(BIOS_ERR, "ERROR: %s %02lx %s size: 0x%010Lx not assigned\n",
+			printk(ERROR, "ERROR: %s %02lx %s size: 0x%010Lx not assigned\n",
 				dev_path(dev), dev->resource->index,
 				resource_type(resource),
 				resource->size);
@@ -166,7 +166,7 @@ void vt1211_pnp_set_resources(struct dev
 			pnp_set_irq(dev, resource->index, resource->base);
 		}
 		else {
-			printk(BIOS_ERR, "ERROR: %s %02lx unknown resource type\n",
+			printk(ERROR, "ERROR: %s %02lx unknown resource type\n",
 				dev_path(dev), resource->index);
 			return;
 		}
@@ -206,7 +206,7 @@ static struct pnp_info pnp_dev_info[] = 
 
 static void enable_dev(struct device *dev)
 {
-	printk(BIOS_DEBUG, "vt1211 enabling PNP devices.\n");
+	printk(DEBUG, "vt1211 enabling PNP devices.\n");
 	pnp_enable_devices(dev,
 			&ops,
 			ARRAY_SIZE(pnp_dev_info),
Index: svn/src/superio/winbond/w83627ehg/superio.c
===================================================================
--- svn.orig/src/superio/winbond/w83627ehg/superio.c
+++ svn/src/superio/winbond/w83627ehg/superio.c
@@ -100,7 +100,7 @@ static void init_hwm(unsigned long base)
 		value = pnp_read_index(base, reg);
 		value &= 0xff & (~(hwm_reg_values[i + 1]));
 		value |= 0xff & hwm_reg_values[i + 2];
-		/* printk(BIOS_DEBUG, "base = 0x%04x, reg = 0x%02x, value = 0x%02x\n", base, reg,value); */
+		/* printk(DEBUG, "base = 0x%04x, reg = 0x%02x, value = 0x%02x\n", base, reg,value); */
 		pnp_write_index(base, reg, value);
 	}
 }
@@ -152,7 +152,7 @@ static void w83627ehg_pnp_enable_resourc
 
 	switch (dev->path.pnp.device) {
 	case W83627EHG_HWM:
-		printk(BIOS_DEBUG, "w83627ehg hwm smbus enabled\n");
+		printk(DEBUG, "w83627ehg hwm smbus enabled\n");
 		enable_hwm_smbus(dev);
 		break;
 	}
Index: svn/src/superio/winbond/w83627hf/superio.c
===================================================================
--- svn.orig/src/superio/winbond/w83627hf/superio.c
+++ svn/src/superio/winbond/w83627hf/superio.c
@@ -120,7 +120,7 @@ static void init_hwm(unsigned long base)
 		value &= 0xff & hwm_reg_values[i+1];
 		value |= 0xff & hwm_reg_values[i+2];
 #if 0
-		printk(BIOS_DEBUG, "base = 0x%04x, reg = 0x%02x, value = 0x%02x\n", base, reg,value);
+		printk(DEBUG, "base = 0x%04x, reg = 0x%02x, value = 0x%02x\n", base, reg,value);
 #endif
 		pnp_write_index(base, reg, value);
 	}
@@ -172,7 +172,7 @@ static void w83627hf_pnp_enable_resource
 	pnp_enable_resources(dev);
 	switch(dev->path.pnp.device) {
 	case W83627HF_HWM:
-		printk(BIOS_DEBUG, "w83627hf hwm smbus enabled\n");
+		printk(DEBUG, "w83627hf hwm smbus enabled\n");
 		enable_hwm_smbus(dev);
 		break;
 	}
